[![Build Status](https://build.toastiet0ast.com/buildStatus/icon?job=toastie-stuff%2FSupportChild%2Fmain)](https://build.toastiet0ast.com/job/toastie-stuff/job/SupportChild/job/main/)
# SupportChild

A support ticket Discord bot. Uses a MySQL database for storage of ticket information. Creates formatted HTML ticket transcripts when tickets are closed.

#### Thanks to [Tyrrrz](https://github.com/Tyrrrz/DiscordChatExporter) for the amazing library used in the transcript function.

## Setup

1. Set up a mysql-compatible server, create a user and empty database for the bot to use.

2. (Optional) Install .NET 9 if it doesn't already exist on your system.

3. Create a new bot application and invite it to your server.

4. Download the bot for your operating system, either a [release version](https://toastielab.dev/toastie-stuff/SupportChild/releases) or a [dev build](https://build.toastiet0ast.com/job/toastie-stuff/job/SupportChild/job/main/). Get the normal version if you have installed .NET 8 on your system, get the self contained version otherwise.

| Application                 | Description                                                           |
|-----------------------------|-----------------------------------------------------------------------|
| `SupportChild-Linux`          | Standard Linux version.                                               |
| `SupportChild-SC-Linux`       | Larger Linux version which does not require .NET 9 to be installed.   |
| `SupportChild-SC-Windows.exe` | Standard Windows version.                                             |
| `SupportChild-Windows.exe`    | Larger Windows version which does not require .NET 9 to be installed. |


5. Run the bot application, `./SupportChild_<version>.exe`, this creates a config file in the current directory.

6. Set up the config, there are instructions inside. If you need more help either contact me in Discord or through an issue here.

7. Restart the bot.

8. Go to `Settings->Integrations->Bot->Command Permissions` in your Discord server to set up permissions for the commands.

## Documentation

- [Commands](./docs/Commands.md)
- [Interview templates](./docs/InterviewTemplates.md)
- [Default config](./default_config.yml)